﻿$ErrorActionPreference = 'Stop'
$packageName  = 'stinger' 
$toolsDir     = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url          = 'http://downloadcenter.mcafee.com/products/mcafee-avert/stinger/stinger32.exe'
$checksum     = 'DA0A5C5788413478F851AC0D1897B98832FE325EF030E4773EFDD67AA58699F1'
$url64        = 'http://downloadcenter.mcafee.com/products/mcafee-avert/stinger/stinger64.exe'
$checksum64   = 'C7B095CC151225F3806E66FEF8A40BBA1175FF4ED228B4D84695DCC954465D07'
$ExeFile32    = 'stinger32.exe'
$ExeFile64    = 'stinger64.exe'
$ShortcutName = 'McAfee Stinger'
$bits         = Get-ProcessorBits

if ($bits -eq 64)
   {
    $installerPackage = "$toolsDir\$ExeFile64"
	$ExeFile = $ExeFile64
   } else {
    $installerPackage = "$toolsDir\$ExeFile32"
	$ExeFile = $ExeFile32
   }

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url            = $url
  checksum       = $checksum
  checksumType   = 'sha256'  
  url64bit       = $url64
  checksum64     = $checksum64
  checksumType64 = 'sha256'  
  FileFullPath   = $installerPackage
  softwareName   = ''
  }

Get-ChocolateyWebFile @packageArgs

Install-BinFile -Name stinger -Path $toolsDir\$ExeFile
Install-ChocolateyShortcut -shortcutFilePath "$env:Public\Desktop\$ShortcutName.lnk" -targetPath "$toolsDir\$ExeFile" -WorkingDirectory "$toolsDir\$packageName"
Install-ChocolateyShortcut -shortcutFilePath "$env:ProgramData\Microsoft\Windows\Start Menu\Programs\McAfee Stinger.lnk" -targetPath "$toolsDir\$ExeFile" -WorkingDirectory "$toolsDir\$packageName"
